﻿/* Común */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 30px;
    width: 100%;
    height: 100%;
    background-color: black;
    background-color: rgba(0, 0, 0, 0.4);
}

/* Responsive: Portrait tablets and up */
@media only screen and (min-width: 768px) {

    .modal {
        display: none;
        position: fixed;
        z-index: 1;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        background-color: black;
        background-color: rgba(0, 0, 0, 0.4);
    }
}

.container-modal {
    background-color: white;
    padding: 20px;
    border: 1px solid black;
}

.head-modal {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 10px;
}

.head-modal h5 {
    margin: 0;
}

.icon-close {
    fill: rgb(120, 139, 145);
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
}

.icon-close:hover path, .icon-close:focus path {
    fill: rgb(51, 51, 51);
    cursor: pointer;
}

.icon-close:active {
    -webkit-transform: scale(0.95);
    -moz-transform: scale(0.95);
    -ms-transform: scale(0.95);
    -o-transform: scale(0.95);
    transform: scale(0.95);
}

.modal-check {
    border: 1px solid black;
    max-height: 25vh;
    overflow-x: hidden;
    overflow-y: auto;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    padding: 5px;
}
    
.modal-check div {
    position: relative;
}

.submit-btn {
    display: flex;
    justify-content: flex-end;
    gap: 10px;
}

/* Tablas */
.modal-table {
    width: 85%;
    margin: 10% auto;
}

/* Responsive: Portrait tablets and up */
@media only screen and (min-width: 768px) {

    .modal-table {
        width: 35%;
        margin: 10% auto;
    }
}

    .modal-table .content-modal {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
        margin-bottom: 10px;
    }

    .modal-table > .content-modal > div {
        display: flex;
        align-items: center;
        gap: 20px;
        width: 100%;
    }

        .modal-table > .content-modal > div > label {
            flex-basis: 30%;
            text-align: right;
        }

        .modal-table > .content-modal > div > input,
        .modal-table > .content-modal > div > textarea,
        .modal-table > .content-modal > div > select,
        .modal-table > .content-modal > div > div,
        .modal-table > .content-modal > div > .container-check {
            flex-basis: 70%;
        }

    .modal-table .modal-check {
        max-height: 15vh;
    }

    .modal-table > .content-modal > div > .container-check {
        padding-top: 0;
        text-align: left;
    }

    /* Gestión energética (resumen excel) */
    .modal-excel {
        width: 50%;
        display: flex;
        flex-direction: column;
        gap: 10px;
        margin: 15% auto;
    }

    .nav-modal {
        display: flex;
        align-items: center;
        gap: 5px;
    }

    /* Gestión energética (maniobras) */
    .modal-man {
        width: 20%;
        margin: 35% auto;
    }

        .modal-man h1 {
            margin-top: 0;
        }

        .modal-man .content-modal {
            display: flex;
            flex-direction: column;
            align-items: center;
        }

            .modal-man .content-modal div {
                display: flex;
                gap: 20px;
                justify-content: center;
                flex-wrap: wrap;
            }

    hr.style17 {
        border-top: 1px solid #8c8b8b;
        text-align: center;
    }

        hr.style17:after {
            content: 'ó';
            display: inline-block;
            position: relative;
            top: -14px;
            padding: 0 10px;
            background: #f0f0f0;
            color: #8c8b8b;
            font-size: 18px;
            -webkit-transform: rotate(60deg);
            -moz-transform: rotate(60deg);
            transform: rotate(60deg);
        }
